from sports.models import SportEvent
from vrobbler.apps.scrobbles.views import ScrobbleableDetailView, ScrobbleableListView


class SportEventListView(ScrobbleableListView):
    model = SportEvent
    paginate_by = 50


class SportEventDetailView(ScrobbleableDetailView):
    model = SportEvent
    slug_field = "uuid"
